import React, { Component } from 'react';
import PropTypes from 'prop-types';
import Eos from 'eosjs';

var classCallCheck = function (instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
};

var createClass = function () {
  function defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor) descriptor.writable = true;
      Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  return function (Constructor, protoProps, staticProps) {
    if (protoProps) defineProperties(Constructor.prototype, protoProps);
    if (staticProps) defineProperties(Constructor, staticProps);
    return Constructor;
  };
}();

var inherits = function (subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
  }

  subClass.prototype = Object.create(superClass && superClass.prototype, {
    constructor: {
      value: subClass,
      enumerable: false,
      writable: true,
      configurable: true
    }
  });
  if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
};

var possibleConstructorReturn = function (self, call) {
  if (!self) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }

  return call && (typeof call === "object" || typeof call === "function") ? call : self;
};

// eos config
var eos = Eos({
  chainId: 'aca376f206b8fc25a6ed44dbdc66547c36c6c33e3a119ffbeaef943642f0e906', // 32 byte (64 char) hex string
  httpEndpoint: 'https://publicapi-mainnet.eosauthority.com',
  expireInSeconds: 60,
  broadcast: true,
  verbose: false // API activity
});

var ExampleComponent = function (_Component) {
  inherits(ExampleComponent, _Component);

  function ExampleComponent(props) {
    classCallCheck(this, ExampleComponent);

    var _this = possibleConstructorReturn(this, (ExampleComponent.__proto__ || Object.getPrototypeOf(ExampleComponent)).call(this, props));

    _this.state = {
      photo: 'QmRzP1etnyDY75Zhz6ddENAHWXoCz92eMUYZfgnRKTogr6' // default eos logo
    };
    var account = props.account; // get account name.

    var encodedName = Eos.modules.format.encodeName(account, false).toString();
    console.log(encodedName);

    eos.getTableRows({
      json: true,
      code: 'accountphoto',
      scope: 'accountphoto',
      table: 'photo',
      lower_bound: encodedName
    }).then(function (res) {
      var photo = res.rows[0];
      // load in hash from ipfs if correct account name was loaded
      if (photo.account_name === encodedName) {
        // photo found; save hash
        console.log(photo);
        _this.setState({ photo: photo.photo_hash });
      }
    });
    return _this;
  }

  createClass(ExampleComponent, [{
    key: 'render',
    value: function render() {
      var style = this.props.style;

      if (!style) {
        // no style provided, add our own.
        style = { width: '60px', height: '60px', borderRadius: '50%' };
      }

      return React.createElement(
        'a',
        { href: 'https://accountphoto.com', target: '_blank' },
        React.createElement('img', { src: 'https://ipfs.io/ipfs/' + this.state.photo, style: style })
      );
    }
  }]);
  return ExampleComponent;
}(Component);

ExampleComponent.propTypes = {
  account: PropTypes.string
};

export default ExampleComponent;
//# sourceMappingURL=index.es.js.map
